var page = {
    Index: 0,
    Count: 0,
    authorlength: 0,
    init: function () {
        page.superHtml();
        //首页截止到注册人数
        Jade.ajax("User+", "GetUserCount", null, function (d) {
            if (d && !d.exception) {
                var lstr = d.split(",");
                var ar = [];
                var x = 0;
                Easy.each(lstr, function (o, i) {
                    if (o > 0) {
                        x = "00";
                    }
                    ar.push("<i class='timr" + (o == 0 ? x : o) + "'></i>");
                });
                $("div.timr p[name='ucount']").html(ar.join(""));
            }
        });

        //首页截止到现在作品数
        Jade.ajax("Information+", "GetInfoCount", null, function (d) {
            if (d && !d.exception) {
                var lstr = d.split(",");
                var ar = [];
                var x = 0;
                Easy.each(lstr, function (o, i) {
                    if (o > 0) {
                        x = "00";
                    }
                    ar.push("<i class='timr" + (o == 0 ? x : o) + "'></i>");
                });
                $("div.timr p[name='icount']").html(ar.join(""));
            }
        });

        //作品搜索类型赋值
        Jade.fillSelect(Easy.get("InfoType"), "+Base", "GetEnumForSelect", { enumName: 'Enum_InfoType' }, 1, null);
        $("input.zp-but").click(function () {
            var kt = Easy.get("kt").value;
            var pid = Easy.get("InfoType").value;
            var kw = Easy.get("kw").value;
            if (kw != "") {
                kw = encodeURI(encodeURI(kw));
            }
            top.location.href = "/Search.aspx?pid=" + pid + "&kt=" + kt + "&kw=" + kw;
        });

        page.wjHtml($("div.anthology-title span a.anthology-on").data("pid"));
        $("div.anthology-title span a").click(function () {//文集出版
            $(this).addClass("anthology-on").siblings().removeClass("anthology-on");
            var partid = $(this).data("pid");
            page.wjHtml(partid);
        });

        //        Jade.ajax("+Base", "GetEnumForSelect", { enumName: "Enum_AuthorCamp" }, function (d) {
        //            if (d && !d.exception) {
        //                var ar = [];
        //                Easy.each(d, function (o, i) {
        //                    ar.push("<a href='javascript:;' data-camp='" + o.value + "' " + (i == 0 ? "class='fame-on'" : "") + ">" + o.text + " </a>");
        //                });
        //                $("div.fame-title span").html(ar.join("┊") + '<a href="/SuperAuthorList.aspx" class="fame-more">更多&gt;&gt;</a>');
        //                page.superHtml(d[0].value);
        //                $("div.fame-title span a:not(.fame-more)").click(function () {
        //                    $(this).addClass("fame-on").siblings().removeClass("fame-on");
        //                    $("div#authorlist").css("left", 0);
        //                    page.superHtml($(this).data("camp"));
        //                });
        //            }
        //        });

        $("p#dxs a").slice(0, 3).show();
        $("p#zxs a").slice(0, 3).show();
        $("p#xxs a").slice(0, 3).show();
        $("p#wnxs a").slice(0, 3).show();

        $("p#sgzw a").slice(0, 3).show();
        $("p#zxzp a").slice(0, 3).show();

        $("div.red-color a").click(function () {
            $(this).addClass("red-on").siblings().removeClass("red-on");
            var page = $(this).data("page");
            $("p#dxs a").hide().slice((page - 1) * 3, (page - 1) * 3 + 3).show();
        });
        $("div.yellow-color a").click(function () {
            $(this).addClass("yellow-on").siblings().removeClass("yellow-on");
            var page = $(this).data("page");
            $("p#zxs a").hide().slice((page - 1) * 3, (page - 1) * 3 + 3).show();
        });
        $("div.blue-color a").click(function () {
            $(this).addClass("blue-on").siblings().removeClass("blue-on");
            var page = $(this).data("page");
            $("p#xxs a").hide().slice((page - 1) * 3, (page - 1) * 3 + 3).show();
        });

        $("div.coffee-color a").click(function () {
            $(this).addClass("coffee-on").siblings().removeClass("coffee-on");
            var page = $(this).data("page");
            $("p#wnxs a").hide().slice((page - 1) * 3, (page - 1) * 3 + 3).show();
        });
        $("div.grey-color a").click(function () {
            $(this).addClass("grey-on").siblings().removeClass("grey-on");
            var page = $(this).data("page");
            $("p#sgzw a").hide().slice((page - 1) * 3, (page - 1) * 3 + 3).show();
        });
        $("div.green-color a").click(function () {
            $(this).addClass("green-on").siblings().removeClass("green-on");
            var page = $(this).data("page");
            $("p#zxzp a").hide().slice((page - 1) * 3, (page - 1) * 3 + 3).show();
        });

        var length = $("div#aulist div.au-float").length;
        $("#aulist").css("width", 225 * length);
        var isclick = false;
        $(".au-left").click(function () {
            if (isclick) {
                return false;
            }
            isclick = true;
            if ($("div#aulist").position().left == 0) {
                isclick = false;
                return false;
            }
            $("div#aulist").animate({ left: ($("div#aulist").position().left + 220) + "px" }, function () { isclick = false; });
        });
        $(".au-right").click(function () {
            if (isclick) {
                return false;
            }
            isclick = true;
            if (length > 5) {
                if ($("div#aulist").position().left - 0 + (length - 5) * 220 == 0) {
                    isclick = false;
                    return false;
                }
            } else {
                isclick = false;
                return false;
            }

            $("div#aulist").animate({ left: ($("div#aulist").position().left - 220) + "px" }, function () { isclick = false; });
        });
        page.authorlength = $("div#authorlist span").length;
        //        $("div#authorlist").css("width", 138 * page.authorlength);
        //        $(".hall-left").click(function () {
        //            if (isclick) {
        //                return false;
        //            }
        //            isclick = true;
        //            if ($("div#authorlist").position().left == 0) {
        //                isclick = false;
        //                return false;
        //            }
        //            $("div#authorlist").animate({ left: ($("div#authorlist").position().left + 138) + "px" }, function () { isclick = false; });
        //        });
        //        $(".hall-right").click(function () {
        //            if (isclick) {
        //                return false;
        //            }
        //            isclick = true;
        //            if (page.authorlength > 8) {
        //                if ($("div#authorlist").position().left - 0 + (page.authorlength - 8) * 138 == 0) {
        //                    isclick = false;
        //                    return false;
        //                }
        //            } else {
        //                isclick = false;
        //                return false;
        //            }
        //            $("div#authorlist").animate({ left: ($("div#authorlist").position().left - 138) + "px" }, function () { isclick = false; });
        //        });

        //图片切换
        var pindex = 0, pcount = 0, pindex1 = 0, pcount1 = 0, pindex2 = 0, pcount2 = 0;
        var ar = [];
        $("#shzl span.upic a").each(function () {
            var i = $(this).index();
            ar.push("<a href='javascript:;' " + (i == 0 ? "class='text-on'" : "") + "></a>");
        });
        $("#shzl span.upic a:eq(0)").show().siblings().hide();
        pindex++;
        pcount = ar.length;
        $("#shzl").find("span.on-list").html(ar.join(""));
        $("#shzl").find("div.text-centent").children("i").html($("#shzl span.upic a:eq(0)").data("title"));
        page.scroll("shzl", pindex, pcount);
        var ar1 = [];
        $("#srfc span.upic a").each(function () {
            var i = $(this).index();
            ar1.push("<a href='javascript:;' " + (i == 0 ? "class='text-on'" : "") + "></a>");
        });
        $("#srfc span.upic a:eq(0)").show().siblings().hide();
        pindex1++;
        pcount1 = ar1.length;
        $("#srfc").find("span.on-list").html(ar1.join(""));
        $("#srfc").find("div.text-centent").children("i").html($("#srfc span.upic a:eq(0)").data("title"));
        page.scroll("srfc", pindex1, pcount1);
        var ar2 = [];
        $("#shzz span.upic a").each(function () {
            var i = $(this).index();
            ar2.push("<a href='javascript:;' " + (i == 0 ? "class='text-on'" : "") + "></a>");
        });
        $("#shzz span.upic a:eq(0)").show().siblings().hide();
        pindex2++;
        pcount2 = ar2.length;
        $("#shzz").find("span.on-list").html(ar2.join(""));
        $("#shzz").find("div.text-centent").children("i").html($("#shzz span.upic a:eq(0)").data("title"));
        page.scroll("shzz", pindex2, pcount2);

        var ar4 = [];
        $(".regbanner").each(function () {
            var i = $(this).index();
            ar4.push("<a href='javascript:;' " + (i == 0 ? "class='ad-on'" : "") + "></a>");
        });
        $(".regbanner:eq(0)").show().siblings().hide();
        page.Index++;
        page.Count = ar4.length;
        $("div.ad-bg span.ad-list").html(ar4.join(""));
        $("div.ad-bg span.ad-text").html($(".regbanner:eq(0)").data("title"));
        page.scrollIndex();
    },
    scroll: function (dom, index, count) {
        var me = this, autoPlay = function () {
            $("#" + dom + " span.upic a:eq(" + index + ")").stop().fadeIn().siblings().stop().fadeOut();
            $("#" + dom + "").find("span.on-list").children("a").eq(index).addClass("text-on").siblings().removeClass("text-on");
            $("#" + dom + " div.text-centent i").html($("#" + dom + " span.upic a:eq(" + index + ")").data("title"));
            index++;
            if (index >= count) {
                index = 0;
            }
        };
        var interval = setInterval(autoPlay, 5000);
        $("#" + dom + "").find("span.on-list a").mouseover(function () {
            clearTimeout(interval);
            index = $(this).index();
            autoPlay();
        }).mouseout(function () {
            interval = setInterval(autoPlay, 5000);
        });
    },
    scrollIndex: function () {
        var me = this, autoPlay = function () {
            $(".regbanner:eq(" + page.Index + ")").stop().fadeIn().siblings().stop().fadeOut();
            $("div.ad-bg span.ad-list a:eq(" + page.Index + ")").addClass("ad-on").siblings().removeClass("ad-on");
            $("div.ad-bg span.ad-text").html($(".regbanner:eq(" + page.Index + ")").data("title"));
            page.Index++;
            if (page.Index >= page.Count) {
                page.Index = 0;
            }
        };
        var interval = setInterval(autoPlay, 3000);
        $("div.ad-bg span.ad-list a").mouseover(function () {
            clearTimeout(interval);
            page.Index = $(this).index();
            autoPlay();
        }).mouseout(function () {
            interval = setInterval(autoPlay, 3000);
        });
    },
    wjHtml: function (partid) {
        Jade.ajax("Information+", "GetListByPartID", { partid: partid, count: 8 }, function (d) {
            if (d && !d.exception) {
                var ar = [];
                Easy.each(d, function (o, i) {
                    ar.push('<li class="book-item"><div class="book-item-photo pr"><a target="_blank" href="/PoetryDetail.aspx?k=' + o.InfoID + '"><img src="' + Jade.imgUrl + o.InfoPic + '" width="114" height="164" alt="' + o.InfoTitle + '">' +
                                '<span class="play-w"><i class="icon-play"></i></span><span class="category-b">' + (d.InfoSource == undefined ? "" : d.InfoSource) + '</span></a></div><div class="book-item-name"><a target="_blank" href="/PoetryDetail.aspx?k=' + o.InfoID + '">' + o.InfoTitle + '</a></div>' +
                                '<div class="nowrap"><a target="_blank" class="g-user" href="/PoetryDetail.aspx?k=' + o.InfoID + '">' + o.InfoAuthor + '</a> <span class="weaken">著</span></div></li>');
                });
                $("div.anthology ul.clearfix").html(ar.join(""));
            }
        });
    },
    superHtml: function (pcamp) {
        Jade.ajax("User+", "GetSuperByPcamp", null, function (d) {
            if (d && !d.exception) {
                var ar = [];
                Easy.each(d, function (o, i) {
                    ar.push("<li><div class='pic'><a href='/AuthorDetail.aspx?u=" + o.USERID + "' target='_blank'><img src='" + Jade.imgUrl + o.UPic + "' /></a></div><div class='title'><a href='/AuthorDetail.aspx?u=" + o.USERID + "' target='_blank'>" + o.Nick + "</a></div></li>");
                });
                if ($(".bd div.tempWrap").length > 0) {
                    $("ul.picList").removeAttr("style");
                    $("ul.picList").html(ar.join(""));
                    var html = $(".bd div.tempWrap").html();
                    $("div.bd").html(html);
                } else {
                    $("ul.picList").html(ar.join(""));
                }
                jQuery(".picMarquee-left").slide({ mainCell: ".bd ul", autoPlay: true, effect: "leftMarquee", vis: 9, interTime: 50, trigger: "click" });
                page.authorlength = $("ul.picList li").length;
                $("ul.picList").css("width", 138 * page.authorlength);
            }
        });
    }
};
$(page.init);